#include <cyg/diagnosis/diagnosis.h>

#ifdef CYGSEM_RAM_RW_DIAGNOSIS
local_cmd_entry("ram_rw",
        "ram read/write accessing",
        "-c iterators -b <base address> -l <length> "\
        "-p pattern -m case [-s]\n",
        ram_rw_test,
        DIAGNOSIS_cmds
           );

local_cmd_entry("memcpybm",
        "ram memory copy benchmarking",
        "-c <loops> -s <start size KB> -e <end size KB>  -a <source align Byte> -b <dest align Byte>\n",
        memcpybm,
        DIAGNOSIS_cmds
           );
#endif

#ifdef CYGSEM_RAM_PM_DIAGNOSIS
local_cmd_entry("ram_pm",
        "ram performance test",
        "-t time -b size [-m mode]\n"
	"    -t time: set test time\n"
	"    -b size: set block size < 8192\n"
	"    -m mode: set 0:read, 1:write, 2:copy\n",
        ram_pm_test,
        DIAGNOSIS_cmds
           );
#endif
